This calls lcitool, part of the libvirt-jenkins-ci
project, to refresh the Dockerfiles so that they
contain up to date information about build
requirements.
Signed-off-by: Andrea Bolognani <abologna(a)redhat.com>
---
refresh | 30 ++++++++++++++++++++++++++++++
1 file changed, 30 insertions(+)
create mode 100755 refresh
diff --git a/refresh b/refresh
new file mode 100755
index 0000000..7aa2151
--- /dev/null
+++ b/refresh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+die() {
+ test "$1" && echo "$1" >&2
+ exit 1
+}
+
+me="$0"
+here=$(pwd)
+
+ci_repo="$1"
+
+cd "$ci_repo/guests/" >/dev/null 2>&1 || {
+ die "Usage: $me path/to/libvirt-jenkins-ci.git"
+}
+
+for host in $(./lcitool -a hosts)
+do
+ projects="libvirt"
+ dockerfile="$here/buildenv-${host#libvirt-}.Dockerfile"
+
+ case "$host" in
+ libvirt-fedora-rawhide) projects="libvirt,libvirt+mingw" ;;
+ libvirt-freebsd-*) continue ;;
+ esac
+
+ ./lcitool -a dockerfile -h "$host" -p "$projects"
>"$dockerfile" || {
+ die "$me: Failed to refresh Dockerfile for $host"
+ }
+done
--
2.17.1